
Ruby - Bug #13147

Update documentation for URI#escape

01/22/2017 05:44 PM - sghill (Steve Hill)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.4.0 Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

DONE

Description

URI#escape documentation references URI.www_form_encode and URI.www_form_encode_component, but neither method exists.

This patch updates the methods to URI.encode_www_form and URI.encode_www_form_component.

Associated revisions

Revision 6219b68fb53a77a221f615d47dde83fea0a7e7c8 - 01/23/2017 05:02 PM - naruse (Yui NARUSE)

Fix typo of URI#escape [Bug #13147]

patched by Steve Hill sghill.dev@gmail.com

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57411 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6219b68f - 01/23/2017 05:02 PM - naruse (Yui NARUSE)

Fix typo of URI#escape [Bug #13147]

patched by Steve Hill sghill.dev@gmail.com

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57411 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 21b241ab14e4f72207a0ccffa1a8bc3fc2603497 - 03/11/2017 05:55 PM - naruse (Yui NARUSE)

merge revision(s) 57411: [Backport #13147]

    Fix typo of URI#escape [Bug #13147]

    patched by Steve Hill <sghill.dev@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57870 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 21b241ab - 03/11/2017 05:55 PM - naruse (Yui NARUSE)

merge revision(s) 57411: [Backport #13147]

    Fix typo of URI#escape [Bug #13147]

    patched by Steve Hill <sghill.dev@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57870 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/23/2017 05:02 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

Applied in changeset r57411.

Fix typo of URI#escape [Bug #13147]

patched by Steve Hill sghill.dev@gmail.com

#2 - 03/11/2017 06:02 PM - naruse (Yui NARUSE)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE
ruby_2_4 r57870 merged revision(s) 57411.

Files

0001-Update-documentation-for-URI-escape.patch 817 Bytes 01/22/2017 sghill (Steve Hill)
